/******************************************************************************
 *
 *  Project  :   Mocca, BLINKY
 *  Author   :   La
 *  Date     :   
 *  Version  :   
 *  File     :   AVR_RTOS.C
 *
******************************************************************************/
           

// Example/template of a main-program for:
//         -  Compiler and IDE:  ATMEL, AtmelStudio
//         -  Microcontroller:   Mocca 
/*****************************************************************************/

#include <avr/io.h>
#include <avr/interrupt.h>
#include "os_minios.h"

static char RGB,i;

//////////////////////////////////////////////////////////////////////////////
//Start User Tasks
void Task0(void)
{
	SCHEDULE()
	while (1) {
		SCHEDULE()
		LED1_Toggle;	//LED 1 blinks	
		WAIT(200);		//300ms
	}
}

void Task1(void)
{
	SCHEDULE()
	while (1) {
		SCHEDULE()
		LED2_Toggle;	//LED 2 blinks
		WAIT(50);		//900ms
	}
}

void Task2(void)
{
	SCHEDULE()
	while (1) {
		SCHEDULE()
		LED3_Toggle;	//LED 3 blinks
		WAIT(200);		//600ms
	}
}

void Task3(void)
{
	SCHEDULE()
	while (1) {
		SCHEDULE()
		LED4_Toggle;	//LED 4 blinks
		WAIT_SEM(1);	//100ms
	}
}

void Task4(void)
{
	SCHEDULE()
	while (1) {
		SCHEDULE()
	}
}
//End User Tasks
//////////////////////////////////////////////////////////////////////////////////////////////

//--------------------------------------------------------------------------------------------
//Main
//--------------------------------------------------------------------------------------------
int main(void)
{
	init_mocca();			 //Allgemeine Initialisierung der Ports und Timer
    wait_10ms(50);
	
	while(1)
    {
		SysTimerStart();
		OS_ENABLE_INT        // interrupts: enable all

		OS_Execute();
		PORTA = 0xFF;           // terminated: error handling, PORTA = LED_PORT

		if (ERROR == ERR_ISR_NOTIFY || ERROR == ERR_ISR_SEMOVFL) {
			
			PORTA = ERROR;
			while (1);        // stop if error in ISR
		}
		else {
			OS_Halt(200);
			PORTA = ERROR;
			OS_Halt(200);
		}  // Restart
    }
}