/******************************************************************************
 *
 *  Project  :   Mocca, BLINKY
 *  Author   :   La
 *  Date     :   
 *  Version  :   
 *  File     :   AVR_Treiber.H
 *
******************************************************************************/           
		
/******************************************************************************
///////////////////////////////////////////////////////////////////////////////
                            USER CONFIGURATION
                        EDIT THE FOLLOWING SECTION
///////////////////////////////////////////////////////////////////////////////
******************************************************************************/

// Example/template of a main-program for:
//         -  Compiler and IDE:  ATMEL, AtmelStudio
//         -  Microcontroller:   Mocca
/*****************************************************************************/

#ifndef mocca_define
#define mocca_define

#include <avr/io.h>
#include <avr/interrupt.h>

#define FALSE 0
#define TRUE !0

//--------------------------------------------------------------------------------------------
//Define LEDs, PORT A
//--------------------------------------------------------------------------------------------
#define LED1_ON  (PORTA |= 0x01)
#define LED1_OFF (PORTA &= ~0x01)
#define LED1_Toggle (PORTA ^= 0x01) 
#define LED2_ON  (PORTA |= 0x02)
#define LED2_OFF (PORTA &= ~0x02)
#define LED2_Toggle (PORTA ^= 0x02)
#define LED3_ON  (PORTA |= 0x04)
#define LED3_OFF (PORTA &= ~0x04)
#define LED3_Toggle (PORTA ^= 0x04)
#define LED4_Toggle (PORTA ^= 0x08)

//--------------------------------------------------------------------------------------------
//Allgemeine Initialisierungen
//--------------------------------------------------------------------------------------------
void init_sirius(void);	
void init_mocca(void);		

//--------------------------------------------------------------------------------------------
//Timer Initialisierungen
//--------------------------------------------------------------------------------------------
void init_5ms_timer(void);
void wait_10ms(uint16_t faktor);
void wait_1us(uint16_t volatile faktor);

//--------------------------------------------------------------------------------------------
//RTC Initialisierungen
//--------------------------------------------------------------------------------------------
void SysTimerStart(void); //Gibt den Takt fr das RTOS an
void RTC_Init(void);	  //Real Time Clock 
#endif
