/******************************************************************************
 *
 *  MiniOS 1.0
 *
 *  Mini multitasking RTOS for microcontrollers
 *  (c) 2005-2010, Hj. Kern
 *
 *  NOTICE:
 *  PLEASE READ THE ASSOCIATED README-FILE.
 *
 *  Project  :   MiniOS
 *  Author   :   Hj. Kern
 *  Date     :   2010
 *  Version  :   1.0
 *  File     :   OS_DEBUG.H
 *
******************************************************************************/

#ifndef os_debug_h
#define os_debug_h

#define DEBUG_ON

// ----------------------------------------------------------------------------
// define your debug macros here
// ----------------------------------------------------------------------------

/******************************************************************************
   MINIOS DEBUG HOOKS, user definable

   Example of macro definition:

   #define ON_OS_EXCEPTION        \  // do not edit
      {                           \  // edit this and the following
         UserExpression;          \
         UserDebugFunction();     \
      }                           \
*/

// api
// os control
#define ON_OS_EXCEPTION
#define ON_OS_TERMINATE
// task control
#define ON_OS_STOP_CURRENT_TASK
#define ON_OS_STOP_TASK
#define ON_OS_START_TASK
#define ON_OS_START_TASK_ISR
#define ON_OS_START_BACKGROUND_TASK
// timer
#define ON_OS_TIMERTICK
#define ON_OS_TIMERTICK_TIMER_EXP
#define ON_OS_SET_TIMER
#define ON_OS_WAIT_TIMER
// semaphore
#define ON_OS_SIGNAL_SEM
#define ON_OS_SIGNAL_ISR_SEM
#define ON_OS_WAIT_SEM
// message box
#define ON_OS_PEEK_MESSAGE
#define ON_OS_WAIT_MESSAGE
#define ON_OS_POST_MESSAGE_SUCCESS
#define ON_OS_GET_BUFMESSAGE_SUCCESS
#define ON_OS_GET_BUFMESSAGE_EMPTY
#define ON_OS_GET_BUFMESSAGE_NOMSG
// kernel
// set task ready on event (event dispatch)
#define ON_EVENT_DISPATCH_SEM_SIGNALED
#define ON_EVENT_DISPATCH_MSG_FOUND
#define ON_EVENT_DISPATCH_SEM_TIMED
#define ON_EVENT_DISPATCH_MSG_TIMED
#define ON_EVENT_DISPATCH_TIMER_EXP
// schedule
#define ON_SCHEDULE_ENTRY
#define ON_SCHEDULE_TASK_INIT_JUMP
#define ON_SCHEDULE_EVENT_PRIO_MODE_RESUME
#define ON_SCHEDULE_RR_NEW_RESUME
#define ON_SCHEDULE_NO_TASK_RESUME
#define ON_SCHEDULE_IDLE_LOOP_ENTRY
#define ON_SCHEDULE_IDLE_LOOP
#define ON_SCHEDULE_IDLE_LOOP_EXIT
// os execute
#define ON_EXECUTE_ENTRY
#define ON_EXECUTE_SETJMP_ENTRY
#define ON_EXECUTE_INIT_ALL
#define ON_EXECUTE_INITCALL_TASK_FN
#define ON_EXECUTE_TERMINATE_OS

// ----------------------------------------------------------------------------
// user debug function prototypes here
// ----------------------------------------------------------------------------

#endif // end of header
// ****************************************************************************