/******************************************************************************
 *
 *  MiniOS 1.0
 *
 *  Mini multitasking RTOS for microcontrollers
 *  (c) 2005-2010, Hj. Kern
 *
 *  NOTICE:
 *  PLEASE READ THE ASSOCIATED README-FILE.
 *
 *  Project  :   MiniOS
 *  Author   :   Hj. Kern
 *  Date     :   2010
 *  Version  :   1.0
 *  File     :   OS_MINIOS.H
 *
******************************************************************************/

#ifndef os_minios_h
#define os_minios_h

/******************************************************************************
///////////////////////////////////////////////////////////////////////////////
                            USER CONFIGURATION
                        EDIT THE FOLLOWING SECTION
///////////////////////////////////////////////////////////////////////////////
******************************************************************************/

// ****************************************************************************
//                         USER MICROCONTROLLER
// ****************************************************************************

// Philips xLPC935-Controller, KEIL-Compiler
/*
#include <REG935.h>

sbit P20 = P2^0;
sbit P21 = P2^1;
sbit P22 = P2^2;
sbit P23 = P2^3;
sbit P24 = P2^4;
sbit P25 = P2^5;
sbit P26 = P2^6;
sbit P27 = P2^7;
*/

// ****************************************************************************
//                     USER APPLICATION AND SYSTEM LIBS
// ****************************************************************************

#include <stdio.h>         // USER C-LIBS
//#include <time.h>          // uncomment if used
#include <string.h>
// ----------------------------------------------------------------------------

#include <setjmp.h>        // SYSTEM, do not edit

// ----------------------------------------------------------------------------
#include "AVR_Treiber.h"          // uncomment if used
#include "os_debug.h"      // uncomment if used

// ----------------------------------------------------------------------------
#include "os_kernel.h"     // SYSTEM, do not edit
#include "os_userapi.h"    // SYSTEM, do not edit

// ----------------------------------------------------------------------------
// include your application headers here
// #include "user_task1.h"
// ----------------------------------------------------------------------------

#endif // end of header
// ****************************************************************************